ホーム > フォーラム > MySQL 5.5.4 でトラブル

MySQL 5.5.4 でトラブル
投稿者: ohwada | 投稿日時: 2010/8/24 16:41 | 閲覧: 11963回
ohwada

FreeBSD だと MySQL 5.5.4 になるのですが。
これがクセモノ。

TYPE=MyISAM がエラーになります。
いっぱい使っているので、対応に難儀しそう。

ひとまず こんな感じでしのぐ
class/database/sqlutility.php

function splitMySqlFile(&$ret, $sql)
{
$sql = str_replace( 'TYPE=MyISAM', 'ENGINE=MyISAM', $sql );


参考
MySQL め、相変わらず中途半端だな
[mysql]MySQL 5.5.3-m3 で廃止になった変数やオプションなどを整理しました

コメント(1)

新しいものから | 古いものから | ネスト表示 | RSS feed
Re: MySQL 5.5.4 でトラブル 
投稿者: kilica | 投稿日時: 2010/8/26 22:39
kilica

とりあえず XCL2.2 では ENGINE= に修正しました ^^

    投票(0)

    新しいものから | 古いものから | RSS feed
     
    To Top